/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.10 $
 *
 * Class definetions
 */

#ifndef __mcclass_h__
#define __mcdclass_h__ 

/*
 * Class Type - Classify devices into sub types according to their DevType.
 * For DT_DISK there is CT_SCSI, CT_IDE, etc.
 * For DT_NETIF there MIGHT be CT_ETHER, CT_FDDI, etc.
 */
#define MAX_CLASS_DEVTYPES	10		/* Max number of DevTypes list
						   in ClassType->DevTypes */
typedef struct {
    int				DevTypes[MAX_CLASS_DEVTYPES];/* DevType List */
    int				Type;		/* ClassType */
    char		       *Name;		/* Type Name */
    char		       *Desc;		/* Description */
    int			      (*Probe)();	/* Probe function */
} ClassType_t;

/*
 * Class Types (DevInfo_t.ClassType)
 * Numeric value must be unique to each class
 */
	/* ClassTypes for DT_DISKDRIVE and DT_DISKCTLR */
#define CT_SCSI			1
#define CT_SCSI_S		"SCSI"
#define CT_IPI			2
#define CT_IPI_S		"IPI"
#define CT_SMD			3
#define CT_SMD_S		"SMD"
#define CT_ATA			4
#define CT_ATA_S		"ATA"
#define CT_IDE_S		"IDE"
#define CT_RAID			5
#define CT_RAID_S		"RAID"
	/* ClassTypes for DT_BUS */
#define CT_PCI			20
#define CT_PCI_S		"PCI"
#define CT_ISA			21
#define CT_ISA_S		"ISA"
#define CT_PNPISA		22
#define CT_PNPISA_S		"PNPISA"
#define CT_EISA			23
#define CT_EISA_S		"EISA"
#define CT_SBUS			24
#define CT_SBUS_S		"SBus"
#define CT_MCA			25
#define CT_MCA_S		"MCA"
#define CT_NUBUS		26
#define CT_NUBUS_S		"NuBus"
#define CT_PCMCIA		27
#define CT_PCMCIA_S		"PCMCIA"
#define CT_CARDBUS		28
#define CT_CARDBUS_S		"CardBus"
#define CT_VESA			29
#define CT_VESA_S		"VL-VESA"
#define CT_PCIX			30
#define CT_PCIX_S		"PCI-X"
#define CT_AGP			31
#define CT_AGP_S		"AGP"
	/* ClassTypes for DT_NETIF */
#define CT_ETHER10M		40
#define CT_ETHER10M_S		"ether"
#define CT_ETHER100M		41
#define CT_ETHER100M_S		"ether100m"
#define CT_ETHER1G		42
#define CT_ETHER1G_S		"ether1g"
#define CT_FDDI			43
#define CT_FDDI_S		"FDDI"
#define CT_ATM			44
#define CT_ATM_S		"ATM"
#define CT_TOKEN		45
#define CT_TOKEN_S		"token"
#define CT_HIPPI		46
#define CT_HIPPI_S		"HIPPI"
#define CT_ISDN			47
#define CT_ISDN_S		"ISDN"
	/* ClassTypes for DT_MONITOR */
#define CT_RGBCOLOR		60
#define CT_RGBCOLOR_S		"RGB"
#define CT_NONRGBCOLOR		61
#define CT_NONRGBCOLOR_S	"NONRGB"
#define CT_MONO			62
#define CT_MONO_S		"Mono"
	/* ClassTypes for DT_FRAMEBUFFER */
#define CT_VGA			70
#define CT_VGA_S		"VGA"
#define CT_XGA			71
#define CT_XGA_S		"XGA"
	/* ClassTypes for DT_SERIAL */
#define CT_RS232		80
#define CT_RS232_S		"RS-232"
#define CT_FIREWIRE		81
#define CT_FIREWIRE_S		"FireWire"
#define CT_USB			82
#define CT_USB_S		"USB"
#define CT_SSA			83
#define CT_SSA_S		"SSA"
#define CT_ACCESS		84
#define CT_ACCESS_S		"ACCESS"
#define CT_FIBER		85
#define CT_FIBER_S		"Fiber"
#define CT_MODEM		86
#define CT_MODEM_S		"Modem"
	/* ClassTypes for DT_CPU */
#define CT_CPU			100
#define CT_CPU_S		"CPU"
#define CT_CPUBOARD		101
#define CT_CPUBOARD_S		"CPU Board"
#define CT_FPU			102
#define CT_FPU_S		"FPU"
#define CT_MATH			103
#define CT_MATH_S		"MATH"
#define CT_DSP			104
#define CT_DSP_S		"DSP"
#define CT_VIDEO		105
#define CT_VIDEO_S		"VIDEO"

#endif	/* __mcclass_h__ */
