/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.12 $
 *
 * CpuInfo types and definetions
 */

#ifndef __mccpuinfo_h__
#define __mccpuinfo_h__ 

/*
 * CPU Information type
 */
struct _CpuInfo {
    char		       *Man;		/* Manufacturer */
    char		       *Model;		/* Model of CPU */
    char		       *Arch;		/* Architecture Name */
    char		       *ArchVer;	/* Architecture Version */
    char		       *Serial;		/* Serial# */
    int				BitSize;	/* Bits 32/64/... */
    Large_t			Speed;		/* Clock Speed in Mhz */
    CacheInfo_t		       *L1iCache;	/* L1 Instruction Cache */
    CacheInfo_t		       *L1dCache;	/* L1 Data Cache */
    CacheInfo_t		       *L2Cache;	/* L2 Cache */
    /* General features */
    Bool_t			HasFPU;		/* Has FPU */
    int				Stepping;	/* Stepping */
    Desc_t		       *Features;	/* List of features */
};
typedef struct _CpuInfo		CpuInfo_t;

#endif	/* __mccpuinfo_h__ */
