/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.4 $
 *
 * DevDefine_t definetions
 */

#ifndef __mcdevdefine_h__
#define __mcdevdefine_h__ 

/*
 * Device definetion structure
 */
struct _DevDefine {
    char	       *Name;			/* Name of device */
    char	      **Aliases;		/* List of name aliases */
    int			Ident;			/* Device identifier */
    int			Type;			/* Device type */
    int			ClassType;		/* ClassType */
    DevInfo_t	     *(*Probe)();		/* Probe device function */
    char	       *Vendor;			/* Hardware Vendor */
    char	       *Model;			/* Model */
    char	       *Desc;			/* Description */
    char	       *File;			/* Device file name */
    int			Flags;			/* Flags */
    long		DevFlags;		/* Device specific flags */
    struct _DevDefine  *Next;			/* Next member */
};
typedef struct _DevDefine DevDefine_t;

/*
 * Flags for DevDefine_t.Flags
 */
#define DDT_LENCMP	0x0001			/* Compare by length */
#define DDT_NOUNIT	0x0002			/* No unit number */
#define DDT_UNITNUM	0x0004			/* Force unit number */
#define DDT_ASSUNIT	0x0010			/* Assign unit number */
#define DDT_ZOMBIE	0x0020			/* Doesn't have to be ALIVE */
#define DDT_DEFINFO	0x0040			/* Use default definetions */
#define DDT_ISALIAS	0x0100			/* We're mk'ing an alias */

#endif	/* __mcdevdefine_h__ */
