/*
 * Copyright (c) 1992-2003 MagniComp
 * This software may only be used in accordance with the license which is
 * available as http://www.magnicomp.com/sysinfo/4.2/sysinfo-eu-license.shtml
 */

/*
 * $Revision: 1.7 $
 *
 * Macros
 */

#ifndef __mcmacros_h__
#define __mcmacros_h__ 

/*
 * Conversion macros
 */
#define bytes_to_gbytes(N)	( (float) N / (float) GBYTES )
#define bytes_to_mbytes(N)	( (float) N / (float) MBYTES )
#define bytes_to_kbytes(N)	( (float) (N / (float) KBYTES) )
#define mbytes_to_bytes(N)	( (float) ( (float) N * (float) MBYTES ) )
#define kbytes_to_mbytes(N)	( (float) ( (float) N / (float) KBYTES ) )
#define kbytes_to_gbytes(N)	( (float) ( (float) N / (float) MBYTES ) )
#define mbytes_to_gbytes(N) 	( (float) ( (float) N / (float) KBYTES ) )
#define gbytes_to_mbytes(N) 	( (float) ( (float) N * (float) KBYTES ) )
#define nsect_to_bytes(N,S)  	( S ? ( (( (float) N) / (float) \
					 ((float)1024 / (float)S)) * (float) KBYTES) : 0 )
#define nsect_to_mbytes(N,S)	( S ? ( (( (float) N) / (float) \
					 ((float)1024 / (float)S)) / (float) KBYTES) : 0 )

/*
 * Clock speed macros
 */
#define hz_to_ghz(N)		( (float) N / (float) GHERTZ )
#define hz_to_mhz(N)		( (float) N / (float) MHERTZ )
#define hz_to_khz(N)		( (float) (N / (float) KHERTZ) )
#define mhz_to_hz(N)		( (float) ( (float) N * (float) MHERTZ ) )
#define khz_to_mhz(N)		( (float) ( (float) N / (float) KHERTZ ) )
#define khz_to_ghz(N)		( (float) ( (float) N / (float) MHERTZ ) )
#define mhz_to_ghz(N) 		( (float) ( (float) N / (float) KHERTZ ) )

/*
 * Misc macros
 */
#define EQ(a,b)			(a && b && strcasecmp(a,b)==0)
#define EQN(a,b,n)		(a && b && strncasecmp(a,b,n)==0)
#define eq(a,b)			(a && b && strcmp(a,b)==0)
#define eqn(a,b,n)		(a && b && strncmp(a,b,n)==0)
#define ARG(s)			((s) ? s : "<null>")
#define PRTS(s)			( ( s && *s ) ? s : "" )

/*
 * Are flags f set in b?
 */
#define FLAGS_ON(b,f)		((b != 0) && (b & f))
#define FLAGS_OFF(b,f)		((b == 0) || ((b != 0) && !(b & f)))

/*
 * Debug macro
 */
#define Debug			FLAGS_ON(MsgClassFlags, SIM_DBG)

#endif	/* __mcmacros_h__ */
