/*
 * Copyright (c) 1992-1998 by Michael A. Cooper.
 * All rights reserved.
 */

/*
 * $Revision: 1.5 $
 *
 * MagniComp Regular Expression header file
 */

#ifndef __mcregex_h__
#define __mcregex_h__

/*
 * This is where the HAVE_* stuff is defined
 */
#if defined(HAVE_AUTOCONFIG_H)
#	include "autoconfig.h"
#endif	/* HAVE_AUTOCONFIG_H */

/*
 * Types of regular expression functions
 */
#define RE_REGCOMP		1		/* POSIX regcomp() */
#define RE_COMP			2		/* BSD re_comp() */
#define RE_REGCMP		3		/* SYSV regcmp() */

/*
 * Reg Expression type
 */
#if	!defined(RE_TYPE) && defined(HAVE_REGCOMP)
#		define RE_TYPE RE_REGCOMP
#endif
#if	!defined(RE_TYPE) && defined(HAVE_RE_COMP)
#		define RE_TYPE RE_COMP
#endif
#if	!defined(RE_TYPE) && defined(HAVE_REGCMP)
#		define RE_TYPE RE_REGCMP
#endif
#if	!defined(RE_TYPE)
#error "No RE_TYPE value is defined - cannot determine REmatch() base function"
#endif

#endif	/* __mcregex_h__ */
